package com.njcn.gather.icd.mapping.pojo.dto;

import lombok.Builder;
import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

import java.util.ArrayList;
import java.util.List;

public class IcdToXmlGenerateCommand {
    /** 原始文件名。 */
    private String fileName;

    /** ICD 文件字节数组。 */
    private byte[] fileBytes;

    /** 输出版本号。 */
    private String version;

    /** 作者。 */
    private String author;

    /** 是否保存到磁盘。 */
    private boolean saveToDisk;



    /** 输出目录。 */
    private String outputDir;

    /** 用户上送的索引选择结果。 */
    private List<IndexSelectionGroupCommand> indexSelection = new ArrayList<IndexSelectionGroupCommand>();

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public byte[] getFileBytes() {
        return fileBytes;
    }

    public void setFileBytes(byte[] fileBytes) {
        this.fileBytes = fileBytes;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getAuthor() {
        return author;
    }

    public void setAuthor(String author) {
        this.author = author;
    }

    public boolean isSaveToDisk() {
        return saveToDisk;
    }

    public void setSaveToDisk(boolean saveToDisk) {
        this.saveToDisk = saveToDisk;
    }



    public String getOutputDir() {
        return outputDir;
    }

    public void setOutputDir(String outputDir) {
        this.outputDir = outputDir;
    }

    public List<IndexSelectionGroupCommand> getIndexSelection() {
        return indexSelection;
    }

    public void setIndexSelection(List<IndexSelectionGroupCommand> indexSelection) {
        this.indexSelection = indexSelection;
    }
}